local Assets =
{
	Asset("ANIM", "anim/cobra_water.zip"),
    Asset("ATLAS", "images/inventoryimages/cobra_water.xml"),
}

local prefabs = 
{
	"spoiled_food",
}

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()

	MakeInventoryPhysics(inst)
	
	inst.AnimState:SetBank("cobra_water")
	inst.AnimState:SetBuild("cobra_water")
	inst.AnimState:PlayAnimation("idle", false)
	
    inst:AddComponent("fertilizer")
    inst.components.fertilizer.fertilizervalue = TUNING.SPOILEDFOOD_FERTILIZE
    inst.components.fertilizer.soil_cycles = TUNING.SPOILEDFOOD_SOILCYCLES
	
	inst:AddComponent("selfstacker")
	
    inst:AddComponent("fuel")
    inst.components.fuel.fuelvalue = TUNING.SMALL_FUEL
    MakeSmallBurnable(inst, TUNING.SMALL_BURNTIME)
    MakeSmallPropagator(inst)

	inst:AddComponent("edible")
	inst.components.edible.healthvalue = (20)
	inst.components.edible.hungervalue = (-20)
	inst.components.edible.sanityvalue = (-120)

	inst:AddComponent("inspectable")
	inst:AddComponent("bait")

	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/cobra_water.xml"

	inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM


	return inst
end


return Prefab( "common/inventory/cobra_water", fn, Assets )