local Assets =
{
    Asset("ANIM", "anim/surstromming.zip"),
    Asset("ATLAS", "images/inventoryimages/surstromming.xml"),
}

local prefabs =
{
    "spoiled_food",
}

local function fn(Sim)
    local inst = CreateEntity()
    inst.entity:AddTransform()
    inst.entity:AddAnimState()

    MakeInventoryPhysics(inst)

    inst.AnimState:SetBank("surstromming")
    inst.AnimState:SetBuild("surstromming")
    inst.AnimState:PlayAnimation("idle", false)

    MakeSmallBurnable(inst, TUNING.SMALL_BURNTIME)
    MakeSmallPropagator(inst)

    inst:AddComponent("edible")
    inst.components.edible.healthvalue = (0)
    inst.components.edible.hungervalue = (200)
    inst.components.edible.sanityvalue = (-300)
    inst.components.edible:SetOnEatenFn(function(inst, eater)
        if eater and eater.components and eater.components.health then
            eater.components.health:DoDelta(eater.components.health.currenthealth * -0.1)
        end
    end)

    inst:AddComponent("inspectable")
    inst:AddComponent("bait")

    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/surstromming.xml"

    inst:AddComponent("stackable")
    inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM


    return inst
end


return Prefab("common/inventory/surstromming", fn, Assets)