local Assets =
{
    Asset("ANIM", "anim/surstromming_bomb.zip"),
    Asset("ATLAS", "images/inventoryimages/surstromming_bomb.xml"),
}

local prefabs =
{
    "explode_small",
}
local function OnIgniteFn(inst)
    inst.SoundEmitter:PlaySound("dontstarve/common/blackpowder_fuse_LP", "hiss")
end

local function OnExplodeFn(inst)
    local pos = Vector3(inst.Transform:GetWorldPosition())
    inst.SoundEmitter:KillSound("hiss")
    inst.SoundEmitter:PlaySound("dontstarve/common/blackpowder_explo")

    local explode = SpawnPrefab("explode_small")
    local pos = inst:GetPosition()
    explode.Transform:SetPosition(pos.x, pos.y, pos.z)

    --local explode = PlayFX(pos,"explode", "explode", "small")
    explode.AnimState:SetBloomEffectHandle("shaders/anim.ksh")
    explode.AnimState:SetLightOverride(1)

end

local function OnPutInInv(inst, owner)
    if owner.prefab == "mole" then
        inst.components.explosive:OnBurnt()
    end
end


local function fn(Sim)
    local inst = CreateEntity()
    inst.entity:AddTransform()
    inst.entity:AddAnimState()

    MakeInventoryPhysics(inst)

    inst.AnimState:SetBank("surstromming_bomb")
    inst.AnimState:SetBuild("surstromming_bomb")
    inst.AnimState:PlayAnimation("idle", false)
    inst:AddTag("molebait")

    inst:AddComponent("stackable")
    inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM

    inst:AddComponent("inspectable")

    MakeSmallBurnable(inst, 3 + math.random() * 3)
    MakeSmallPropagator(inst)

    inst:AddComponent("explosive")
    inst.components.explosive:SetOnExplodeFn(OnExplodeFn)
    inst.components.explosive:SetOnIgniteFn(OnIgniteFn)
    inst.components.explosive.explosiverange = 10
    inst.components.explosive.explosivedamage = TUNING.GUNPOWDER_DAMAGE

    inst:AddComponent("appeasement")
    inst.components.appeasement.appeasementvalue = TUNING.WRATH_LARGE

    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem:SetOnPutInInventoryFn(OnPutInInv)
    inst.components.inventoryitem.atlasname = "images/inventoryimages/surstromming_bomb.xml"
    inst:AddComponent("bait")

    return inst
end


return Prefab("common/inventory/surstromming_bomb", fn, Assets)